CONNECTFREE(R) ZEN LANGUAGE(TM) PUBLIC BETA END USER LICENSE AGREEMENT

> PLEASE READ THE TERMS OF THIS SOFTWARE LICENSE AGREEMENT ("AGREEMENT")
> GOVERNING THE USE OF THE SOFTWARE AND RELATED DOCUMENTATION
> (AS FURTHER DEFINED BELOW) CAREFULLY BEFORE USING THE SOFTWARE.

1. Introduction and Acceptance. This Agreement is a legal agreement between you (either an individual or an entity) ("YOU" or "YOUR") and connectFree Corporation ("connectFree") regarding the use of connectFree ZEN LANGUAGE software, which includes user documentation provided in electronic form (together, the "connectFree Software").

2. License Grant. Subject to the restrictions set forth below, this Agreement grants You a non-exclusive, royalty-free, perpetual license to download, install and use one (1) copy of the specified version of connectFree Software in object code format, for internal purposes only. You may install and use one (1) copy of connectFree Software on a single personal computer running a general purpose consumer operating system and that does not operate as a server on a network. connectFree Software is "in use" on a computer when it is loaded into the temporary memory (i.e., RAM) or installed into the permanent memory (e.g., hard disk, CD-ROM, or other storage device) of that computer.  You understand and agree that connectFree will have no obligation to provide any upgrades, updates or fixes to connectFree Software. You further understand and agree that connectFree does not provide maintenance for connectFree Software and will not be under any obligation to do so.


3.  Ownership. The license granted to You hereunder does not constitute a transfer or sale of connectFree’s ownership rights in or to connectFree Software.  Except for the license rights granted above, all right, title and interest, including all Intellectual Property Rights, in and to connectFree Software, and all copies thereof, are owned and retained by connectFree or its licensors. "Intellectual Property Rights" means any and all rights existing from time to time under patent law, copyright law, trade secret law, trademark law, unfair competition law, and any and all other proprietary rights, and any and all applications, renewals, extensions and restorations thereof, now or hereafter in force and effect worldwide. connectFree Software is licensed, not sold, to You for use only under the terms of this Agreement, and connectFree reserves all rights not expressly granted to You.

4.  License Restrictions.  YOU MAY NOT RENT, LEASE, SUBLICENSE, SELL, ASSIGN, LOAN OR OTHERWISE TRANSFER CONNECTFREE SOFTWARE OR ANY OF YOUR RIGHTS AND OBLIGATIONS HEREUNDER.  You may not reverse engineer, decompile, or disassemble connectFree Software or attempt to circumvent any technical restrictions included in the code, except to the extent the foregoing restriction is expressly prohibited by applicable law.  You may not (i) remove or destroy any copyright notices or other proprietary markings; (ii) modify or adapt connectFree Software, merge connectFree Software into another program or create derivative works based on connectFree Software; or (iii) provide, lease, lend, use for timesharing or service bureau purposes, or otherwise use or allow others to use connectFree Software for the benefit of third parties (through the Internet or otherwise).

5.  Confidentiality.  You shall hold in the strictest confidence connectFree Software and any related materials or information including, but not limited to, any technical data, research, product plans or know-how provided by connectFree to You, either directly or indirectly in writing, orally or by inspection of tangible objects (“Confidential Information”). You shall not disclose any Confidential Information to third parties, including any of Your employees who do not have a need to know such information and You shall take reasonable measures to protect the secrecy of, and to avoid disclosure and unauthorized use of, the Confidential Information.  You shall immediately notify connectFree in the event of any unauthorized or suspected use or disclosure of the Confidential Information.

6.  Termination.  This Agreement shall be effective upon installation of connectFree Software and SHALL TERMINATE UPON THE EARLIER OF: (I) YOUR FAILURE TO COMPLY WITH ANY TERM OF THIS AGREEMENT; OR (II) DESTRUCTION OR DELETION OF ALL COPIES OF CONNECTFREE SOFTWARE IN YOUR POSSESSION. connectFree’s rights and Your obligations shall survive the termination of this Agreement. Upon termination of this Agreement by connectFree, You shall certify in writing to connectFree that all copies off connectFree Software, or any portion thereof, have either been returned to connectFree or otherwise destroyed or deleted from any of Your computer libraries or storage devices.

7.  NO WARRANTIES.  TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, CONNECTFREE AND ITS LICENSORS PROVIDE THE SOFTWARE "AS IS" AND WITHOUT WARRANTY OF ANY KIND AND EXPRESSLY DISCLAIMS WITH RESPECT TO THE SOFTWARE ALL WARRANTIES AND CONDITIONS, WHETHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, ANY WARRANTIES, DUTIES OR CONDITIONS OF OR RELATED TO: MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, CORRESPONDENCE TO DESCRIPTION, NON-INFRINGEMENT OF THIRD PARTY RIGHTS, LACK OF VIRUSES, ACCURACY OR COMPLETENESS OF RESPONSES, RESULTS, WORKMANLIKE EFFORT AND LACK OF NEGLIGENCE. ALSO, THERE IS NO WARRANTY, DUTY OR CONDITION OF TITLE, QUIET ENJOYMENT, OR QUIET POSSESSION. YOU ARE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR COMPUTER, MOBILE DEVICE, OR ANY OTHER DEVICE, OR LOSS OF DATA THAT RESULTS FROM YOUR USE OF THE SOFTWARE.

8.  LIMITATION OF LIABILITY. UNDER NO CIRCUMSTANCES WILL CONNECTFREE BE LIABLE FOR ANY CONSEQUENTIAL, SPECIAL, INDIRECT, INCIDENTAL OR PUNITIVE DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, LOSS OF DATA OR OTHER SUCH PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE, EVEN IF CONNECTFREE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.   IN NO EVENT SHALL CONNECTFREE’S AGGREGATE LIABILITY FOR DAMAGES ARISING OUT OF THIS AGREEMENT EXCEED THE GREATOR OF (1) THE AMOUNT PAID TO CONNECTFREE FOR THE SOFTWARE UNDER THIS AGREEMENT OR (2) ¥10000JPY.

9.  INDEMNITY. You agree to defend, indemnify and hold harmless connectFree, its officers, directors, employees, and agents, from and against any and all claims, damages, obligations, losses, liabilities, costs or debt, and expenses (including but not limited to attorney's fees) arising from: (i) Your use of and access to connectFree Software; (ii) Your violation of any of the terms of this Agreement; or (iii) Your violation of any third party right, including without limitation any copyright, property, or privacy right, arising out of Your use of and access to connectFree Software.  This defense and indemnification obligation will survive this Agreement and Your use of connectFree Software.

10. Export Restrictions.  You may not export or re-export: (i) connectFree Software without the prior written consent of connectFree; and (ii) connectFree Software without complying with applicable export control laws and obtaining any necessary permits and licenses.

12. Changes to the terms of this Agreement.  connectFree may make changes to this Agreement from time to time. When these changes are made, connectFree will make any new/additional terms available to You.  You understand and agree that if You use connectFree Software after the date on which terms have changed, connectFree will treat Your use as acceptance of the new/additional terms.

13. General.  This Agreement is governed by the laws of the nation state of Japan, excluding its conflicts of laws principles.  You agree to the exclusive jurisdiction and venue of the prefecture and federal courts located in Kyoto-shi, Kyoto-fu, JAPAN.  If any provision of this Agreement is held by a court of competent jurisdiction to be contrary to law, such provision shall be changed and interpreted so as to best accomplish the objectives of the original provision to the fullest extent allowed by law and the remaining provisions of this Agreement shall remain in full force and effect. The headings in this Agreement are inserted for convenience only and do not affect its interpretation.  You may not assign this Agreement, whether by operation of law, merger or reorganization, without the prior written consent of connectFree; any attempted assignment in violation of the foregoing will be void.  connectFree may assign this Agreement in connection with a reorganization, reincorporation, merger, or sale of all, or substantially all of the shares or assets of connectFree.  This Agreement constitutes the final, complete and exclusive agreement between the parties with respect to Your use of connectFree Software and supersedes any prior or contemporaneous representations or agreements, whether written or oral. Any company names, logos, and product names displayed in connectFree Software are subject to Japanese and international copyright, trademark and intellectual property laws and You may not reproduce or distribute any such company names, logos or product names without the express written consent of their respective owners.

14. Questions. Should You have any questions concerning this Agreement, or if You desire to contact connectFree for any reason, please visit http://connectfree.co.jp/

